@import "../../vars.css";

.configure-page{
    display: flex;
    border: 1px solid var(--color-ti-border-grey-02);
    width: 100%;
    height: 94%;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
}

.side-bar{
    height: 100%;
    width: 100%;
    border-right: 1px solid var(--color-ti-border-grey-02);
    border-radius: 3px 0px 0px 3px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    min-width: 250px;
}

.side-bar-conatiner{
  height: 97%;
  width: 18%;
  overflow: auto;
}

.custom-toggl-style ::shadow #container #toggleButton .toggle-container {
  height: 17px;
}

.custom-toggl-style
  ::shadow
  #container
  #toggleButton
  .toggle-container
  #toggleButton {
  top: 2px;
  left: 4.5px;
  height: 12px;
  width: 12px;
}
ti-widget-toggle-button
  ::shadow
  #container
  .paper-toggle-button-0[checked]:not([disabled])
  .toggle-bar.paper-toggle-button {
  opacity: 1;
}
ti-widget-toggle-button {
  cursor: pointer;
  margin-top: 5px;
  --paper-toggle-button-checked-bar-color: var(--color-ti-secondary-green);
  --paper-toggle-button-checked-button-color: var(--color-ti-white);
}

.menu-item {
    padding: 12px 16px;
    cursor: pointer;
    font-size: 16px;
    color: var(--color-ti-text-grey-dark);
}

.menu-item:hover {
    background-color: var(--color-ti-bg-grey);
}

.menu-item.active {
    margin: 5px;
    border-radius: 5px;
    background-color: var(--color-ti-bg-blue);
    font-weight: bold;
}

.content-space{
    flex: 1;
    width: 72%;
    height: 97%;
    overflow: auto;
}

.content-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    min-width: 900px;
    min-height: 770px;
}

.container-label{
    height: 72px;
    width: 100%;
    border-bottom: 1px solid var(--color-ti-border-grey-02);
    color: var(--color-ti-text-grey);
    padding: 22px 0px 22px 30px;
    font-size: 25px;
    font-weight: 300px;
}

.fdb-pin-name{
  color: #555555;
  font-size: 15.4px;
  margin-bottom: 1rem;
}

.feedback-pin-container{
  width: 20%;
  height: 12%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.feedback-main-container{
  display: flex;
  gap: 11.7rem;
  margin-left: 2rem;
}

.feedback-pin-container-2{
  width: 20%;
  height: 12%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.dropdown-common-container{
  display: flex;
  width: 35%;
  height: 7%;
  align-items: center;
  /* padding: 30px; */
  font-size: 16px;
  font-weight: 400px;
  color: var(--color-ti-text-grey-dark);
  gap: 40px;
  min-width: 500px;
  margin-left: 2rem;
}

.nerr-config-display{
  width: 35%;
}

ti-widget-droplist {
  width: 35%;
  height: 32px;
  border-radius: 2px;
  align-content: center;
}

ti-widget-droplist::shadow #selectorList {
  border-radius: 3px;
  color: var(--color-ti-secondary-grey);
  cursor: pointer;
  height: 34px;
  outline: 0;
  width: 80%;
}

.toggle-container{
  display: flex;
  height: 7%;
  align-items: center;
  margin: 0 2rem 1rem;
  gap: 240px;
  color: var(--color-ti-text-grey-dark);
}

.toggle-container-logging{
  display: flex;
  height: 100%;
  align-items: center;
  margin: 0 1rem;
  gap: 240px;
  color: var(--color-ti-text-grey-dark);
}

.toggle-btn{
    display: flex;
    gap: 30px;
    align-items: center;
}

.toggle-btn-logging{
    display: flex;
    gap: 30px;
    align-items: center;
}

.custom-toggle-style ::shadow #container #toggleButton .toggle-container .toggle-container-logging{
  height: 17px;
}

.channel-threshold-container{
    display: flex;
    padding: 30px;
    gap: 60px;
}

.channel-threshold{
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.channel-threshold-label{
    font-size: 14px;
    color: var(--color-ti-text-grey-dark);
    display: flex;
    justify-content: space-between;
}

.dropdown-container{
    display: flex;
    flex-direction: column;
    border: 1px solid var(--color-ti-border-grey-02);
    width: 420px;
    height: 320px;
    background-color: var(--color-ti-bg-grey-02);
    border-radius: 3px;
}

.address-container{
    width: 100%;
    display: flex;
    height: 15%;
    align-items: center;
    justify-content: space-between;
    padding: 30px;
    font-size: 12px;
    font-weight: 400px;
    color: var(--color-ti-text-grey-dark);
}

.footnote{
    background-color: var(--color-ti-footer-blue);
    color: var(--color-ti-text-blue);
    display: flex;
    width: 56rem;
    margin:1.5rem 0 0 2rem;
    border-radius: 3px;
    height: 3rem;
    justify-content: space-around;
    align-items: center;
}

.channel-config-note{
  padding: 12px;
}

.reset-btn{
    color: var(--color-ti-primary-red);
    background: none;
    border: none;
    cursor: pointer;
    font-weight: bold;
}

.chip-selection-container{
    display: flex;
    flex-direction: column;
    margin: 0 2rem;
    gap: 17px;
}

.chip-selection{
    display: flex;
    gap: 25px;
}

.chip-card {
  position: relative;
  width: 300px;
  height: 300px;
  border: 1px dashed var(--color-ti-indicator-grey);
  border-radius: 6px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding: 10px;
  box-sizing: border-box;
  cursor: pointer;
}

.chip-radio {
  position: absolute;
  top: 8px;
  left: 7px;
  transform: scale(1.5);
}

.chip-image {
  width: 200px;
  height: auto;
  margin-top: 20px;
}

.chip-label {
  margin-top: 12px;
  text-align: center;
  font-size: 14px;
  color: var(--color-ti-text-grey-dar);
  line-height: 1.4em;
}

.adc-footer{
    display: flex;
}

.adc-footnote{
    background-color: var(--color-ti-footer-blue);
    color: var(--color-ti-text-blue);
    display: flex;
    width: 450px;
    margin:30px;
    border-radius: 3px;
    height: 3rem;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.adc-note-text-box{
  display: flex;
}

.read-only-btn{
    margin-top: 37px;
    margin-right: 30px;
    height: 32px;
    width: 110px;
    border-radius: 21px;
    border: 1px solid var(--color-ti-primary-blue-dark);
    color: var(--color-ti-primary-blue-dark);
    background-color: var(--color-ti-primary-white);
    cursor: pointer;
}

.read-repeat-btn{
  margin-top: 37px;
    margin-right: 30px;
    height: 32px;
    width: 150px;
    border-radius: 21px;
    border: 1px solid var(--color-ti-primary-blue-dark);
    color: var(--color-ti-primary-blue-dark);
    background-color: var(--color-ti-primary-white);
    cursor: pointer;
}

.read-only-btn:hover, .read-repeat-btn:hover{
    background-color: var(--color-ti-primary-blue-dark);
    color: var(--color-ti-primary-white);
}

.browser-support-note-container{
  display: flex;
  height: 2rem;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.browser-support-note{
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #D6EDF4;
  color: #118899;
  height: 100%;
  width: 80%;
}

.stop-btn{
    margin-top: 37px;
    margin-right: 30px;
    height: 32px;
    width: 150px;
    border-radius: 21px;
    background-color: var(--color-ti-primary-red);
    border: none;
    color: var(--color-ti-primary-white);
    cursor: pointer;
}

.stop-btn:hover{
    background-color: var(--color-ti-primary-white);
    color: var(--color-ti-primary-red);
    border: 1px solid var(--color-ti-primary-red);
}

.disabled-button{
  pointer-events: none;
  opacity: 0.5;
}
.help-box{
  position: absolute;
  right: 5px;
  top: 5px;
  cursor: pointer;
}
.help-icon{
  width: 1.3rem;
  height: 1.3rem;
  color: #118899;
}
.info-icon{
  width: 1rem;
  height: 1rem;
}

.disable-choose-folder-button{
  opacity: 0.6;
  pointer-events: none;
}

.tooltip-wrapper{
    font-size: 0.9rem;
}

.adc-info-box{
    display: flex;
    width: 30%;
    justify-content: space-between;
}

.adc-info-note{
    background-color: var(--color-ti-footer-blue);
    color: var(--color-ti-text-blue);
    width: 18rem;
    display: flex;
    justify-content: center;
    border-radius: 10px;
    height: 1.2rem;
    align-items: center;
}

.hw-note{
  display: flex;
  align-items: center;
  color: var(--color-ti-primary-red);
  font-weight: bold;
}

.logging-container{
  width: 84%;
  height: 15%;
  margin: 0 2rem;
  display: flex;
  flex-direction: column;
  font-size: 0.9rem;
  box-shadow: 0px 2px 8px 2px #0000000D;
  border: 1.5px dashed #E7E7E7;
  min-width: 300px;
  justify-content: space-evenly;
  position: relative;
}

.logging-header{
  margin: 0 2.2rem 1rem;
  font-size: 1.1rem;
}
.logging-control-container{
  height: 30%;
  width: 100%;
}
.log-location-header{
  margin: 0 1rem;
  align-items: end;
  color: #555555;
}
.log-location-conatiner{
  height: 40%;
  width: 100%;
  gap: 5rem;
}

.stop-log-button{
  margin-left: -12rem;
}

#adc-stop{
    height: 2rem;
    display: flex;
    align-items: center;
}

.log-location-conatiner{
  display: flex;
  align-items: center;
}

.info-log-note{
    width: 20rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 20rem;
    color: var(--color-ti-primary-red);
    font-weight: bold;
}

.info-log-note-container{
    width: 20rem;
    height: 2rem;
}

.hide-adc-info-note{
  display: none !important;
}

ti-widget-button{
  height: 2.2rem;
  text-transform: none;
}

.blinking-dot {
    display: inline-block;
    width: 12px;              
    height: 12px;
    margin-left: 6px;          
    background-color: #00c853; 
    border-radius: 50%;        
    box-shadow: 0 0 6px 2px rgba(0, 200, 83, 0.6); 
    animation: blink 1s infinite ease-in-out;
}

@keyframes blink {
    0%, 100% { opacity: 1; }
    50%      { opacity: 0; }
}

.hide-adc-indicator{
  display: none !important;
}